KoboTerminalNGX API DocsGet a free API key

NASD OTC stocks

Prices for securities on the NASD OTC Securities Exchange (unlisted Nigerian companies such as NASD Plc, Friesland Campina WAMCO, Central Securities Clearing System and more).

http
GET https://koboterminal.com/api/nasddata/stocks

Plan: Starter and above (from ₦29,000 / $20 a month).

Request

bash
curl "https://koboterminal.com/api/nasddata/stocks" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/nasddata/stocks",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/nasddata/stocks", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "stocks": [
    {
      "symbol": "SD11PLC",
      "name": "11 PLC",
      "price": 247.5,
      "change": 0,
      "volume": null,
      "shares_outstanding": 360595261,
      "market_cap": 83333564817,
      "date": "2026-11-17",
      "scraped_at": "2026-11-18T12:30:03.33+00:00",
      "spark": [
        220.2
      ],
      "computed_change": 0.05,
      "last_trade_date": "2026-11-17"
    }
  ],
  "total": 47,
  "as_of": "2026-11-17"
}

Use it from an AI assistant

This endpoint is available as the list_nasd_stocks tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.